Bug 1746551 - Ninja module not built for F32 platform, breaks Rawhide installs as meson module's dependencies not met
Summary: Ninja module not built for F32 platform, breaks Rawhide installs as meson mod...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora Modules
Classification: Fedora
Component: ninja
Version: unspecified
Hardware: All
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: openqa
Depends On:
Blocks: BetaBlocker, F32BetaBlocker
TreeView+ depends on / blocked
 
Reported: 2019-08-28 18:21 UTC by Adam Williamson
Modified: 2019-11-08 20:50 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-08 20:16:16 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Fedora Pagure releng issue 8664 None None None 2019-08-28 18:54:29 UTC

Description Adam Williamson 2019-08-28 18:21:54 UTC
Rawhide network installs started breaking recently with a module dependency error:

https://openqa.fedoraproject.org/tests/437314#step/_boot_to_anaconda/12

This seems to be because the meson module requires the ninja module, but there seems to be no build of the ninja module for the f32 platform.

Comment 1 Stephen Gallagher 2019-08-28 18:54:30 UTC
There was a glitch in MBS during the Branch of F31 off of Rawhide and the Rawhide modules did not finish building (they hung, never completing). We are trying to work through them as quickly as possible without overwhelming MBS again.

Comment 2 Adam Williamson 2019-08-28 19:14:37 UTC
Ah. Was this scheduled in just alphabetical order, or was any consideration taken of dependency ordering?

Comment 3 Stephen Gallagher 2019-08-28 19:19:22 UTC
I believe it was just alphabetical.

Comment 4 Brian Lane 2019-08-29 22:45:15 UTC
Also seeing this with podman and registry.fedoraproject.org/fedora:rawhide

Comment 5 Adam Williamson 2019-11-08 20:16:16 UTC
I think this is resolved, at least network installs aren't failing on it any more.

Comment 6 Igor Gnatenko 2019-11-08 20:50:48 UTC
there is no more ninja module in rawhide :)


Note You need to log in before you can comment on or make changes to this bug.